#include "xsurfacecollisionnode.h"

XSurfaceCollisionNode::XSurfaceCollisionNode()
    : XAsset()
    , mAABB()
    , mChildBeginIndex(0)
    , mChildCount(0)
{
    SetName("Surface Collision Node");
}

void XSurfaceCollisionNode::ParseData(XDataStream *aStream)
{
    mAABB.ParseData(aStream);

    *aStream
        >> mChildBeginIndex
        >> mChildCount;
}

void XSurfaceCollisionNode::Clear()
{
    mAABB.Clear();
    mChildBeginIndex = 0;
    mChildCount = 0;
}
